curl --request GET \
--url https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}/fields \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "affinity-data-description",
"name": "Description",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "text",
"data": "Acme is a mega-corporation that manufactures everything from anvils to earthquake pills."
}
},
{
"id": "affinity-data-industry",
"name": "Industry",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text-multi",
"data": [
"Aerospace",
"Construction",
"Consumer Goods"
]
}
},
{
"id": "affinity-data-investment-stage",
"name": "Investment Stage",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text",
"data": "Public Markets"
}
},
{
"id": "affinity-data-investors",
"name": "Investors",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text-multi",
"data": [
"Marvin Acme",
"Yosemite Sam"
]
}
},
{
"id": "affinity-data-last-funding-amount",
"name": "Last Funding Amount (USD)",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 100000000
}
},
{
"id": "affinity-data-last-funding-date",
"name": "Last Funding Date",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "datetime",
"data": "2023-01-01T00:00:00Z"
}
},
{
"id": "affinity-data-linkedin-url",
"name": "LinkedIn URL",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "text",
"data": "https://linkedin.com/company/acme"
}
},
{
"id": "affinity-data-location",
"name": "Location",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "location",
"data": {
"streetAddress": null,
"city": "Fairfield",
"state": "New Jersey",
"country": "United States",
"continent": null
}
}
},
{
"id": "affinity-data-number-of-employees",
"name": "Number of Employees",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 3990
}
},
{
"id": "affinity-data-total-funding-amount",
"name": "Total Funding Amount (USD)",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 90000000
}
},
{
"id": "affinity-data-year-founded",
"name": "Year Founded",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 1952
}
}
],
"pagination": {
"prevUrl": "https://api.affinity.co/v2/lists/1/list-entries?types=enriched&cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/lists/1/list-entries?types=enriched&cursor=ICAgICAgIGFmdGVyOjo6NA"
}
}Paginate through all field values on a single list entry.
All fields will be included by default. The ids and types parameters can be used to filter the collection.
curl --request GET \
--url https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}/fields \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "affinity-data-description",
"name": "Description",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "text",
"data": "Acme is a mega-corporation that manufactures everything from anvils to earthquake pills."
}
},
{
"id": "affinity-data-industry",
"name": "Industry",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text-multi",
"data": [
"Aerospace",
"Construction",
"Consumer Goods"
]
}
},
{
"id": "affinity-data-investment-stage",
"name": "Investment Stage",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text",
"data": "Public Markets"
}
},
{
"id": "affinity-data-investors",
"name": "Investors",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text-multi",
"data": [
"Marvin Acme",
"Yosemite Sam"
]
}
},
{
"id": "affinity-data-last-funding-amount",
"name": "Last Funding Amount (USD)",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 100000000
}
},
{
"id": "affinity-data-last-funding-date",
"name": "Last Funding Date",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "datetime",
"data": "2023-01-01T00:00:00Z"
}
},
{
"id": "affinity-data-linkedin-url",
"name": "LinkedIn URL",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "text",
"data": "https://linkedin.com/company/acme"
}
},
{
"id": "affinity-data-location",
"name": "Location",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "location",
"data": {
"streetAddress": null,
"city": "Fairfield",
"state": "New Jersey",
"country": "United States",
"continent": null
}
}
},
{
"id": "affinity-data-number-of-employees",
"name": "Number of Employees",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 3990
}
},
{
"id": "affinity-data-total-funding-amount",
"name": "Total Funding Amount (USD)",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 90000000
}
},
{
"id": "affinity-data-year-founded",
"name": "Year Founded",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 1952
}
}
],
"pagination": {
"prevUrl": "https://api.affinity.co/v2/lists/1/list-entries?types=enriched&cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/lists/1/list-entries?types=enriched&cursor=ICAgICAgIGFmdGVyOjo6NA"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
List ID
1 <= x <= 9007199254740991List Entry ID
1 <= x <= 9007199254740991Field IDs for which to return field data
["field-1"]Field Types for which to return field data
enriched, global, list, relationship-intelligence Cursor for the next or previous page
"ICAgICAgYmVmb3JlOjo6Nw"
Number of items to include in the page
1 <= x <= 10020
OK
FieldPaged model
A page of Field results
100Show child attributes
Show child attributes
{
"prevUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgIGFmdGVyOjo6NA"
}Was this page helpful?